Bug 259161 - Kontact/Akonadi non-sync with Google
Summary: Kontact/Akonadi non-sync with Google
Status: RESOLVED UNMAINTAINED
Alias: None
Product: Akonadi
Classification: Frameworks and Libraries
Component: libakonadi (show other bugs)
Version: 4.4
Platform: OpenSUSE Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-07 20:15 UTC by Chris
Modified: 2017-01-07 21:45 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris 2010-12-07 20:15:02 UTC
Application: kontact (4.4.5)
KDE Platform Version: 4.4.4 (KDE 4.4.4) "release 3"
Qt Version: 4.7.1
Operating System: Linux 2.6.34.7-0.5-desktop x86_64
Distribution: "openSUSE 11.3 (x86_64)"

-- Information about the crash:
I was entering an event on Kontact and reviewing the Akonadi Google resource  to verify that the event was indeed entered on both calendars.  Akonadi or Kontact is not passing the event to Google.  Today's crash showed me that this lack of synchronization has been occuring for at least one week.  This crash however is the first time I noticed that events were not being entered.  The previous crashes have been marked as duplicates connected with Qt.  Is that where the error is really occuring?  or is there another problem masked by a Qt issue?

The crash can be reproduced every time.

 -- Backtrace:
Application: Kontact (kontact), signal: Segmentation fault
[KCrash Handler]
#5  QSortFilterProxyModelPrivate::proxy_to_source (this=0x27babf0, proxy_index=<value optimized out>) at itemviews/qsortfilterproxymodel.cpp:369
#6  0x00007f0856dd898d in QSortFilterProxyModel::mapToSource (this=<value optimized out>, proxyIndex=<value optimized out>) at itemviews/qsortfilterproxymodel.cpp:2499
#7  0x00007f0856dd7676 in QSortFilterProxyModel::data (this=<value optimized out>, index=..., role=0) at itemviews/qsortfilterproxymodel.cpp:1712
#8  0x00007f0858286263 in AgentInstanceWidgetDelegate::document (this=<value optimized out>, option=..., index=...) at /usr/src/debug/kdepimlibs-4.4.4/akonadi/agentinstancewidget.cpp:177
#9  0x00007f08582873dc in AgentInstanceWidgetDelegate::sizeHint (this=<value optimized out>, option=<value optimized out>, index=<value optimized out>)
    at /usr/src/debug/kdepimlibs-4.4.4/akonadi/agentinstancewidget.cpp:268
#10 0x00007f0856d70f5d in QListViewPrivate::itemSize (this=0x3872ba0, option=..., index=...) at itemviews/qlistview.cpp:1788
#11 0x00007f0856d7149b in itemSize (this=0x265f470, index=...) at ../../src/gui/itemviews/qlistview_p.h:473
#12 QListModeViewBase::indexToListViewItem (this=0x265f470, index=...) at itemviews/qlistview.cpp:2215
#13 0x00007f0856d731d3 in QListViewPrivate::indexToListViewItem (this=0x3872ba0, index=...) at itemviews/qlistview.cpp:1733
#14 0x00007f0856d738b1 in rectForIndex (this=<value optimized out>, index=...) at ../../src/gui/itemviews/qlistview_p.h:345
#15 QListView::rectForIndex (this=<value optimized out>, index=...) at itemviews/qlistview.cpp:1226
#16 0x00007f0856d73a2e in QListView::visualRect (this=<value optimized out>, index=<value optimized out>) at itemviews/qlistview.cpp:561
#17 0x00007f0856d50ba0 in QAbstractItemView::inputMethodQuery (this=0x265f440, query=Qt::ImMicroFocus) at itemviews/qabstractitemview.cpp:816
#18 0x00007f0856dfc342 in QXIMInputContext::update (this=<value optimized out>) at inputmethod/qximinputcontext_x11.cpp:819
#19 0x00007f0856dfdebe in QXIMInputContext::setFocusWidget (this=0x1a22460, w=0x265f440) at inputmethod/qximinputcontext_x11.cpp:669
#20 0x00007f08568419a4 in QApplicationPrivate::setFocusWidget (focus=0x265f440, reason=Qt::MouseFocusReason) at kernel/qapplication.cpp:2226
#21 0x00007f0856887e11 in QWidget::setFocus (this=0x265f440, reason=Qt::MouseFocusReason) at kernel/qwidget.cpp:6296
#22 0x00007f085684ca75 in QApplication::notify (this=0x7fff11b03fb0, receiver=0x277bd90, e=0x7fff11b01780) at kernel/qapplication.cpp:3963
#23 0x00007f0857d84c06 in KApplication::notify(QObject*, QEvent*) () from /usr/lib64/libkdeui.so.5
#24 0x00007f0857484e2c in QCoreApplication::notifyInternal (this=0x7fff11b03fb0, receiver=0x277bd90, event=0x7fff11b01780) at kernel/qcoreapplication.cpp:732
#25 0x00007f0856843cd5 in sendEvent (receiver=0x277bd90, event=0x7fff11b01780, alienWidget=0x277bd90, nativeWidget=0x264f1d0, buttonDown=0x7f085731e178, lastMouseReceiver=..., spontaneous=true)
    at ../../src/corelib/kernel/qcoreapplication.h:215
#26 QApplicationPrivate::sendMouseEvent (receiver=0x277bd90, event=0x7fff11b01780, alienWidget=0x277bd90, nativeWidget=0x264f1d0, buttonDown=0x7f085731e178, lastMouseReceiver=..., spontaneous=true)
    at kernel/qapplication.cpp:3105
#27 0x00007f08568c1ef8 in QETWidget::translateMouseEvent (this=0x264f1d0, event=<value optimized out>) at kernel/qapplication_x11.cpp:4438
#28 0x00007f08568c05d9 in QApplication::x11ProcessEvent (this=0x7fff11b03fb0, event=0x7fff11b020e0) at kernel/qapplication_x11.cpp:3564
#29 0x00007f08568e8212 in x11EventSourceDispatch (s=0x64d5e0, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#30 0x00007f084f04ca93 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#31 0x00007f084f04d270 in ?? () from /usr/lib64/libglib-2.0.so.0
#32 0x00007f084f04d510 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#33 0x00007f08574afa8f in QEventDispatcherGlib::processEvents (this=0x6132b0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:422
#34 0x00007f08568e7eae in QGuiEventDispatcherGlib::processEvents (this=<value optimized out>, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#35 0x00007f0857484262 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#36 0x00007f0857484475 in QEventLoop::exec (this=0x7fff11b02400, flags=...) at kernel/qeventloop.cpp:201
#37 0x00007f0856cfd9ae in QDialog::exec (this=0x34a1020) at dialogs/qdialog.cpp:552
#38 0x00007f082fb65d88 in ResourceView::editResource (this=0x2728a10) at /usr/src/debug/kdepim-4.4.4/korganizer/resourceview.cpp:610
#39 0x00007f082fb6805b in ResourceView::qt_metacall (this=0x2728a10, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fff11b028f0)
    at /usr/src/debug/kdepim-4.4.4/build/korganizer/resourceview.moc:114
#40 0x00007f0857499fef in QMetaObject::activate (sender=0x2720a00, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x7fff11b028f0) at kernel/qobject.cpp:3272
#41 0x00007f0856eb9322 in QAbstractButton::clicked (this=<value optimized out>, _t1=false) at .moc/release-shared/moc_qabstractbutton.cpp:206
#42 0x00007f0856bfe4db in QAbstractButtonPrivate::emitClicked (this=0x2746820) at widgets/qabstractbutton.cpp:546
#43 0x00007f0856bffaab in QAbstractButtonPrivate::click (this=0x2746820) at widgets/qabstractbutton.cpp:539
#44 0x00007f0856bffd1c in QAbstractButton::mouseReleaseEvent (this=0x2720a00, e=0x7fff11b03280) at widgets/qabstractbutton.cpp:1121
#45 0x00007f0856cbc24a in QToolButton::mouseReleaseEvent (this=<value optimized out>, e=<value optimized out>) at widgets/qtoolbutton.cpp:721
#46 0x00007f08568944a8 in QWidget::event (this=0x2720a00, event=0x7fff11b03280) at kernel/qwidget.cpp:8200
#47 0x00007f0856842cd4 in QApplicationPrivate::notify_helper (this=0x63c9c0, receiver=0x2720a00, e=0x7fff11b03280) at kernel/qapplication.cpp:4445
#48 0x00007f085684ba4a in QApplication::notify (this=<value optimized out>, receiver=0x2720a00, e=0x7fff11b03280) at kernel/qapplication.cpp:4006
#49 0x00007f0857d84c06 in KApplication::notify(QObject*, QEvent*) () from /usr/lib64/libkdeui.so.5
#50 0x00007f0857484e2c in QCoreApplication::notifyInternal (this=0x7fff11b03fb0, receiver=0x2720a00, event=0x7fff11b03280) at kernel/qcoreapplication.cpp:732
#51 0x00007f0856843cd5 in sendEvent (receiver=0x2720a00, event=0x7fff11b03280, alienWidget=0x2720a00, nativeWidget=0x63fbd0, buttonDown=0x7f085731e178, lastMouseReceiver=..., spontaneous=true)
    at ../../src/corelib/kernel/qcoreapplication.h:215
#52 QApplicationPrivate::sendMouseEvent (receiver=0x2720a00, event=0x7fff11b03280, alienWidget=0x2720a00, nativeWidget=0x63fbd0, buttonDown=0x7f085731e178, lastMouseReceiver=..., spontaneous=true)
    at kernel/qapplication.cpp:3105
#53 0x00007f08568c1ef8 in QETWidget::translateMouseEvent (this=0x63fbd0, event=<value optimized out>) at kernel/qapplication_x11.cpp:4438
#54 0x00007f08568c05d9 in QApplication::x11ProcessEvent (this=0x7fff11b03fb0, event=0x7fff11b03be0) at kernel/qapplication_x11.cpp:3564
#55 0x00007f08568e8212 in x11EventSourceDispatch (s=0x64d5e0, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#56 0x00007f084f04ca93 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#57 0x00007f084f04d270 in ?? () from /usr/lib64/libglib-2.0.so.0
#58 0x00007f084f04d510 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#59 0x00007f08574afa8f in QEventDispatcherGlib::processEvents (this=0x6132b0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:422
#60 0x00007f08568e7eae in QGuiEventDispatcherGlib::processEvents (this=<value optimized out>, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#61 0x00007f0857484262 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#62 0x00007f0857484475 in QEventLoop::exec (this=0x7fff11b03f00, flags=...) at kernel/qeventloop.cpp:201
#63 0x00007f08574888db in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1009
#64 0x000000000040417e in main (argc=1, argv=0x7fff11b04598) at /usr/src/debug/kdepim-4.4.4/kontact/src/main.cpp:224

Possible duplicates by query: bug 258396, bug 250138, bug 247403, bug 245012, bug 241689.

Reported using DrKonqi
Comment 1 Christophe Giboudeaux 2011-01-25 13:46:38 UTC
Is this crash still reproducible with a recent kontact version (the last one is 4.4.9) ?
Comment 2 Denis Kurz 2016-09-24 20:31:59 UTC
This bug has only been reported for versions older than KDEPIM 4.14 (at most akonadi-1.3). Can anyone tell if this bug still present?

If noone confirms this bug for a recent version of akonadi (part of KDE Applications 15.08 or later), it gets closed in about three months.
Comment 3 Denis Kurz 2017-01-07 21:45:21 UTC
Just as announced in my last comment, I close this bug. If you encounter it again in a recent version (at least 5.0 aka 15.08), please open a new one unless it already exists. Thank you for all your input.